# packet.h File Reference

## Detailed Description

Low level protocol packet builder class.

Has knowledge of specific protocol commands in order to hide protocol details behind an API.

Definition in file packet.h.

`#include <string>`
`#include <stdint.h>`
`#include "protocol.h"`
`#include "data.h"`

Include dependency graph for packet.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::Packet
class | Barry::ZeroPacket
| Provides an API for building and analyzing socket-0 protocol packets. More...
class | Barry::DBPacket
| Provides an API for building and analyzing raw DB protocol packets. More...
class | Barry::JLPacket
| Provides an API for building and analyzing raw Javaloader protocol packets. More...
class | Barry::JVMPacket
| Provides an API for building and analyzing raw JavaDebug protocol packets. More...